commit 7f575b279bd771f7c48436667382ada7028f8ea1
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Nov 11 16:23:55 2021 +0100

    meson.build: Install i18n files

 meson.build    | 7 +++++++
 po/meson.build | 2 ++
 2 files changed, 9 insertions(+)

commit b9b24b28f22b9bcf1394161714c13749a85fbea2
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Oct 25 21:35:05 2021 +0200

    GNOME Gingerblue version 2.0.1 (2021-10-25)

 ChangeLog                        | 10 ++++++++++
 NEWS                             |  8 ++++++++
 configure                        | 20 ++++++++++----------
 configure.ac                     |  2 +-
 meson.build                      |  4 ++--
 src/gingerblue-app.c             |  2 +-
 src/gingerblue-chord.h           |  2 +-
 src/gingerblue-config.c          |  2 +-
 src/gingerblue-file.c            |  2 +-
 src/gingerblue-file.h            |  2 +-
 src/gingerblue-knob.c            |  2 +-
 src/gingerblue-knob.h            |  2 +-
 src/gingerblue-line.c            |  2 +-
 src/gingerblue-line.h            |  2 +-
 src/gingerblue-main-loop.c       |  2 +-
 src/gingerblue-main.c            |  8 ++++----
 src/gingerblue-main.h            |  2 +-
 src/gingerblue-record.c          |  2 +-
 src/gingerblue-record.h          |  2 +-
 src/gingerblue-song.c            |  2 +-
 src/gingerblue-song.h            |  2 +-
 src/gingerblue-studio-config.c   |  2 +-
 src/gingerblue-studio-location.c |  2 +-
 src/gingerblue-studio-player.c   |  2 +-
 src/gingerblue-studio-player.h   |  2 +-
 src/gingerblue-studio-stream.c   |  2 +-
 src/gingerblue.c                 |  2 +-
 src/gingerblue.h                 |  2 +-
 src/gingerblue.xml.in            |  2 +-
 29 files changed, 58 insertions(+), 40 deletions(-)

commit a6aa0794e2a6b6811a1dbc1006f2869ef11f5d0d
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 04:35:28 2021 +0200

    Write XSPF 1.0 atomically

 ChangeLog             | 38 ++++++++++++++++++++++++++++++++++++++
 src/gingerblue-main.c |  2 +-
 2 files changed, 39 insertions(+), 1 deletion(-)

commit 7aaf8d9d0f70692eed6b572698b69af08c5baccd
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 04:28:08 2021 +0200

    GNOME Gingerblue version 2.0.0 - Support for XSPF 1.0 from Xiph.org

 ChangeLog                        | 16 ++++++++++++++++
 NEWS                             | 29 +++++++++++++++++++++++++++++
 configure                        | 20 ++++++++++----------
 configure.ac                     |  2 +-
 gingerblue.spec.in               | 11 +++++++----
 meson.build                      |  4 ++--
 src/gingerblue-app.c             |  2 +-
 src/gingerblue-chord.h           |  2 +-
 src/gingerblue-config.c          |  2 +-
 src/gingerblue-file.c            |  2 +-
 src/gingerblue-file.h            |  2 +-
 src/gingerblue-knob.c            |  2 +-
 src/gingerblue-knob.h            |  2 +-
 src/gingerblue-line.c            |  2 +-
 src/gingerblue-line.h            |  2 +-
 src/gingerblue-main-loop.c       |  2 +-
 src/gingerblue-main.c            |  2 +-
 src/gingerblue-main.h            |  2 +-
 src/gingerblue-record.c          |  2 +-
 src/gingerblue-record.h          |  2 +-
 src/gingerblue-song.c            |  2 +-
 src/gingerblue-song.h            |  2 +-
 src/gingerblue-studio-config.c   |  2 +-
 src/gingerblue-studio-location.c |  2 +-
 src/gingerblue-studio-player.c   |  2 +-
 src/gingerblue-studio-player.h   |  2 +-
 src/gingerblue-studio-stream.c   |  2 +-
 src/gingerblue.c                 |  2 +-
 src/gingerblue.h                 |  2 +-
 src/gingerblue.xml.in            | 17 ++++++++++-------
 30 files changed, 98 insertions(+), 47 deletions(-)

commit c88d19f91f544b26b96978104a477959a5de76b0
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 04:11:10 2021 +0200

    Add XSPF 1.0 Playlist format from Xiph.Org Foundation in GNOME.xspf

 ChangeLog             |  94 ++++++
 INSTALL               | 369 ++++++++++++++++++++++-
 compile               | 349 +++++++++++++++++++++-
 configure             |  82 ++----
 depcomp               | 792 +++++++++++++++++++++++++++++++++++++++++++++++++-
 install-sh            | 530 ++++++++++++++++++++++++++++++++-
 missing               | 216 +++++++++++++-
 src/gingerblue-main.c |  16 +-
 8 files changed, 2377 insertions(+), 71 deletions(-)

commit 1b39b56ae450df65066c2d92ab7fd9561fab92ad
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 03:47:53 2021 +0200

    Basic playlist functionality

 src/gingerblue-main.c | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 441a585301d4640d7574f09fdfae641887e06c06
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 01:42:08 2021 +0200

    GNOME Gingerblue version 1.9.0 (2021-10-16)

 NEWS                             | 29 +++++++++++++++++++++++++++++
 autogen.sh                       | 26 ++++++++++++++++++++++++++
 configure.ac                     |  2 +-
 gingerblue.spec.in               |  3 +++
 meson.build                      |  4 ++--
 src/gingerblue-app.c             |  2 +-
 src/gingerblue-chord.h           |  2 +-
 src/gingerblue-config.c          |  2 +-
 src/gingerblue-file.c            |  2 +-
 src/gingerblue-file.h            |  2 +-
 src/gingerblue-knob.c            |  2 +-
 src/gingerblue-knob.h            |  2 +-
 src/gingerblue-line.c            |  2 +-
 src/gingerblue-line.h            |  2 +-
 src/gingerblue-main-loop.c       |  2 +-
 src/gingerblue-main.c            |  2 +-
 src/gingerblue-main.h            |  2 +-
 src/gingerblue-record.c          |  2 +-
 src/gingerblue-record.h          |  2 +-
 src/gingerblue-song.c            |  2 +-
 src/gingerblue-song.h            |  2 +-
 src/gingerblue-studio-config.c   |  2 +-
 src/gingerblue-studio-location.c |  2 +-
 src/gingerblue-studio-player.c   |  2 +-
 src/gingerblue-studio-player.h   |  2 +-
 src/gingerblue-studio-stream.c   |  2 +-
 src/gingerblue.c                 |  2 +-
 src/gingerblue.h                 |  2 +-
 28 files changed, 84 insertions(+), 26 deletions(-)

commit 1deae95d1e89813644ea940374056022bc98f016
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Oct 16 01:19:41 2021 +0200

    Update autoconf and meson build systems for 1.8.0

 configure   | 82 ++++++++++++++++++++++++++++++++++++++++++++++---------------
 meson.build |  4 +--
 2 files changed, 64 insertions(+), 22 deletions(-)

commit bde74357a417d99026ee43d99994beb976f2007d
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Sep 29 23:50:01 2021 -0400

    Release 1.8.0 (2021-09-29)

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 56c9101b4cd2e62eba907fd9fb33b39102e1c2bf
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Sep 29 22:56:42 2021 +0200

    GNOME Gingerblue 1.8.0 (2021-09-29)

 INSTALL      |    1 +
 compile      |    1 +
 configure    | 7620 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |    2 +-
 depcomp      |    1 +
 install-sh   |    1 +
 missing      |    1 +
 7 files changed, 7626 insertions(+), 1 deletion(-)

commit 715f49b72a0b6b49258014d4be777840d011eacd
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Sep 17 04:23:55 2021 +0200

    GNOME Gingerblue version 1.7.0 (2021-09-17)

 ChangeLog       | 124 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am     |   2 +-
 NEWS            |  41 +++++++++++++++++++
 configure.ac    |   2 +-
 meson.build     |   4 +-
 src/Makefile.am |   6 +--
 src/meson.build |   7 +---
 7 files changed, 173 insertions(+), 13 deletions(-)

commit 1e8a68ed5f3e3145c4ac9749d2eebc09099ca5f5
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Sep 17 03:47:43 2021 +0200

    Macports Build

 configure.ac                   |  6 +++---
 src/gingerblue-app.c           |  5 ++++-
 src/gingerblue-config.h        |  2 +-
 src/gingerblue-file.c          | 20 +++++++++-----------
 src/gingerblue-main-loop.c     |  1 +
 src/gingerblue-main.c          |  2 ++
 src/gingerblue-studio-stream.c |  6 +++---
 7 files changed, 23 insertions(+), 19 deletions(-)

commit 9c11aaa45e15a1fa61f47db1f7c6dcfaf94a3a32
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Sep 17 01:54:03 2021 +0200

    GNOME Gingerblue version 1.6.0

 meson.build                      | 7 ++++---
 src/gingerblue-app.c             | 2 +-
 src/gingerblue-chord.h           | 2 +-
 src/gingerblue-config.c          | 2 +-
 src/gingerblue-file.c            | 2 +-
 src/gingerblue-file.h            | 2 +-
 src/gingerblue-knob.c            | 2 +-
 src/gingerblue-knob.h            | 2 +-
 src/gingerblue-line.c            | 2 +-
 src/gingerblue-line.h            | 2 +-
 src/gingerblue-main.h            | 2 +-
 src/gingerblue-record.c          | 2 +-
 src/gingerblue-record.h          | 2 +-
 src/gingerblue-song.c            | 2 +-
 src/gingerblue-song.h            | 2 +-
 src/gingerblue-studio-config.c   | 2 +-
 src/gingerblue-studio-location.c | 2 +-
 src/gingerblue-studio-player.c   | 2 +-
 src/gingerblue-studio-player.h   | 2 +-
 src/gingerblue.c                 | 2 +-
 src/gingerblue.h                 | 2 +-
 src/meson.build                  | 4 ++--
 22 files changed, 26 insertions(+), 25 deletions(-)

commit 9d85acf5f4acc6d92350b8aaa2439214e62d04ac
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Sep 17 01:43:59 2021 +0200

    Revert "Build for macports"
    
    This reverts commit 08e247596ab5ad4b48d74623dbfd371c6f4fdca2.

 configure.ac                     | 2 +-
 meson.build                      | 7 +++----
 src/gingerblue-main-loop.c       | 1 -
 src/gingerblue-main.c            | 2 --
 src/gingerblue-studio-location.h | 1 -
 src/gingerblue-studio-stream.c   | 6 +++---
 src/meson.build                  | 4 ++--
 7 files changed, 9 insertions(+), 14 deletions(-)

commit 08e247596ab5ad4b48d74623dbfd371c6f4fdca2
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Sep 17 01:22:39 2021 +0200

    Build for macports

 configure.ac                     | 2 +-
 meson.build                      | 7 ++++---
 src/gingerblue-main-loop.c       | 1 +
 src/gingerblue-main.c            | 2 ++
 src/gingerblue-studio-location.h | 1 +
 src/gingerblue-studio-stream.c   | 6 +++---
 src/meson.build                  | 4 ++--
 7 files changed, 14 insertions(+), 9 deletions(-)

commit c7167b7b851ea1f78c7c6686801cb68320db5365
Merge: 80d95fa 254cb85
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Sep 16 16:07:25 2021 +0000

    Merge branch 'master' into 'master'
    
    Master
    
    Closes #1
    
    See merge request ole/gingerblue!2

commit 254cb85d93c71aa0f8c56dcf6e72957f64b81201
Author: Anton Pryima <zingfrid@gmail.com>
Date:   Thu Sep 16 16:07:25 2021 +0000

    Master

 .gitignore      | 3 +++
 meson.build     | 1 +
 src/meson.build | 4 ++--
 3 files changed, 6 insertions(+), 2 deletions(-)

commit 80d95fa149059127fcda247c6bdffa303a2320ea
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Sep 16 18:04:55 2021 +0200

    GNOME Gingerblue Music Studio version 1.5.0

 ChangeLog                        | 29 +++++++++++++++++++++++++++++
 src/gingerblue-app.c             |  2 +-
 src/gingerblue-config.c          |  2 +-
 src/gingerblue-file.c            |  2 +-
 src/gingerblue-knob.c            |  2 +-
 src/gingerblue-line.c            |  2 +-
 src/gingerblue-main-loop.c       |  2 +-
 src/gingerblue-main.c            |  2 +-
 src/gingerblue-record.c          |  2 +-
 src/gingerblue-song.c            |  2 +-
 src/gingerblue-studio-config.c   |  2 +-
 src/gingerblue-studio-location.c |  2 +-
 src/gingerblue-studio-player.c   |  2 +-
 src/gingerblue-studio-stream.c   |  2 +-
 src/gingerblue.c                 |  2 +-
 15 files changed, 43 insertions(+), 14 deletions(-)

commit 89670a6edace4df5eabbcf6a9dd5d7f81d7d2f7d
Merge: 5dd5ccd 2de169b
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Sep 16 18:00:21 2021 +0200

    Merge branch 'master' of https://gitlab.gnome.org/ole/gingerblue

commit 5dd5ccd801321c41d9e07d603012547621841de5
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Sep 16 17:59:37 2021 +0200

    GNOME Gingerblue version 1.5.0 (2021-09-16)

 ChangeLog          | 12 ++++++++++++
 NEWS               |  7 +++++++
 configure.ac       |  2 +-
 gingerblue.spec.in |  3 +++
 meson.build        |  5 +++--
 5 files changed, 26 insertions(+), 3 deletions(-)

commit 2de169be60b31cd4e67b74b703f3f3d1110da7b8
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Sep 14 22:34:05 2021 +0200

    New code for Device Factory enumeration

 src/gingerblue-main.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 0166b8fd2f3db1bde5cf9245920ce701a6897b98
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Aug 12 09:00:05 2021 +0200

    GNOME Gingerblue Music Studio version 1.4.0 (2021-08-12)

 ChangeLog          | 12 ++++++++++++
 NEWS               |  7 +++++++
 configure.ac       |  2 +-
 gingerblue.spec.in | 10 +++++++++-
 4 files changed, 29 insertions(+), 2 deletions(-)

commit dad74fa6ed47f73d7a06786e161f611c657b8b67
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Aug 12 08:06:41 2021 +0200

    GNOME Gingerblue version 1.3.0 (2021-08-12)

 ChangeLog             | 18 ++++++++++++++++++
 NEWS                  | 15 +++++++++++++++
 configure.ac          |  2 +-
 src/gingerblue-main.c |  7 ++++---
 4 files changed, 38 insertions(+), 4 deletions(-)

commit 1d01f54c09a7b9f6d2929beaf19c9d0ad0c5b494
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Aug 12 06:28:07 2021 +0200

    Release GNOME Gingerblue 1.2.0 (2021-08-12)

 ChangeLog                        |  43 +++++++++
 configure.ac                     |   4 +-
 gingerblue.spec.in               |   5 +-
 po/POTFILES.in                   |   3 +-
 src/Makefile.am                  |   4 +-
 src/gingerblue-config.c          |   8 +-
 src/gingerblue-main.c            |  66 +++++++++----
 src/gingerblue-studio-location.c | 199 +++++++++++++++++++++++++++++++++++++++
 src/gingerblue-studio-location.h |  13 +++
 src/gingerblue-studio-stream.c   |   2 +-
 10 files changed, 322 insertions(+), 25 deletions(-)

commit a35f93f7c17e0e4d164a72597ea3cc3e90e1be62
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 2 23:55:52 2021 +0200

    Add new headers for 1.2.0

 configure.ac               |  4 ++--
 src/Makefile.am            |  4 ++--
 src/gingerblue-container.h | 10 ++++++++++
 src/gingerblue-library.h   |  5 +++++
 src/gingerblue-operator.h  | 10 ++++++++++
 src/gingerblue-record.h    |  7 +++++++
 src/gingerblue-storage.h   |  8 ++++++++
 src/gingerblue-wizard.h    | 13 +++++++++++++
 8 files changed, 57 insertions(+), 4 deletions(-)

commit c800f03bfa8e1af19ad04bdd85bf9f882733218f
Merge: 977016e fa89c54
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 27 17:06:55 2021 +0200

    Merge branch 'master' of http://gitlab.gnome.org/ole/gingerblue

commit fa89c54d8433aa68a489fda3d716207a73e8a886
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 27 17:06:57 2021 +0200

    GNOME Gingerblue Music Studio 1.1.0 (2021-07-27)

 NEWS        | 22 ++++++++++++++++++++++
 meson.build |  4 ++--
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 977016e512a0a7059a484cc472a4b114262d6227
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 27 17:05:13 2021 +0200

    Bump 1.1.0 version

 ChangeLog    | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit 4dadc714c596cb093878cb8cd2b38bd46db8100a
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 27 16:23:05 2021 +0200

    Publish RPM Spec for Fedora Core 34

 gingerblue.spec.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a1d20a5f53cb4dd5004cae18d8035bcd872bdf7c
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 27 16:18:14 2021 +0200

    Release GNOME Gingerblue 1.1.0 (2021-07-27)

 ChangeLog                      | 11 +++++++++++
 src/gingerblue-app.c           |  2 +-
 src/gingerblue-chord.h         |  2 +-
 src/gingerblue-config.c        |  2 +-
 src/gingerblue-file.c          |  2 +-
 src/gingerblue-file.h          |  2 +-
 src/gingerblue-knob.c          |  2 +-
 src/gingerblue-knob.h          |  2 +-
 src/gingerblue-line.c          |  2 +-
 src/gingerblue-line.h          |  2 +-
 src/gingerblue-main-loop.c     |  2 +-
 src/gingerblue-main.c          |  4 ++--
 src/gingerblue-main.h          |  2 +-
 src/gingerblue-record.c        |  2 +-
 src/gingerblue-record.h        |  2 +-
 src/gingerblue-song.c          |  2 +-
 src/gingerblue-song.h          |  2 +-
 src/gingerblue-studio-config.c |  2 +-
 src/gingerblue-studio-player.c |  2 +-
 src/gingerblue-studio-player.h |  2 +-
 src/gingerblue-studio-stream.c | 19 ++++++++++++-------
 src/gingerblue.c               |  2 +-
 src/gingerblue.h               |  2 +-
 23 files changed, 45 insertions(+), 29 deletions(-)

commit 9f5fe9fd29d8c3ef7ea1f18cf04d44478fefb8a2
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 15:39:58 2021 +0200

    Add Icecast Server configuration (etc/icecast-server.xml)

 ChangeLog              |  13 ++++
 etc/Makefile.am        |   3 +
 etc/icecast-server.xml | 172 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 188 insertions(+)

commit ecd58228d5812f89bf27ff1a6f889264de6ca008
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 15:04:27 2021 +0200

    GNOME Gingerblue Music Studio 1.0 - First major release (2021-07-15)

 ChangeLog           |  11 +++++++++++
 Makefile.am         |   5 ++---
 configure.ac        |   3 ++-
 data/screenshot.png | Bin 69604 -> 32774 bytes
 gingerblue.spec.in  |  11 +++++++++--
 5 files changed, 24 insertions(+), 6 deletions(-)

commit c5598052de72be6a7d8145927805a6d6defd31f3
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 13:37:58 2021 +0200

    Add Icecast XML configuration for /etc/icecast.xml

 ChangeLog   |  10 ++++
 Makefile.am |   2 +-
 icecast.xml | 172 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 183 insertions(+), 1 deletion(-)

commit a965251602f7a3612aed660243a297fac3f97348
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 13:23:09 2021 +0200

    Bug #12 (Studio broadcast) is fixed.

 ChangeLog                      | 14 ++++++++++++++
 src/gingerblue-studio-stream.c | 12 ++++++------
 2 files changed, 20 insertions(+), 6 deletions(-)

commit b044553e2b819cb5580868c1784676d96d886a97
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 11:36:29 2021 +0200

    Release GNOME Gingerblue 0.8.0 (2021-07-14)

 ChangeLog                      |  38 +++++++
 NEWS                           |  27 +++++
 po/Makefile.in.in              | 222 ++++++++++++++++++++++++++++++++++++++++-
 src/Makefile.am                |   4 +-
 src/gingerblue-config.c        |   2 -
 src/gingerblue-studio-stream.c |   6 +-
 6 files changed, 291 insertions(+), 8 deletions(-)

commit c2fea7f3891a8abadf09ca166b3e14eae1a40fc0
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 10:38:44 2021 +0200

    GNOME Gingerblue 0.8.0 (2021-07-14)

 ChangeLog                         |  40 ++
 gingerblue.spec.in                |   3 +
 meson.build                       |   4 +-
 src/Makefile.am                   |   4 +-
 src/gingerblue-app.c              |   2 +-
 src/gingerblue-chord.h            |   2 +-
 src/gingerblue-config.c           |  25 +-
 src/gingerblue-config.h           |   2 +-
 src/gingerblue-file.c             |   2 +-
 src/gingerblue-file.h             |   2 +-
 src/gingerblue-knob.c             |   2 +-
 src/gingerblue-knob.h             |   2 +-
 src/gingerblue-line.c             |   2 +-
 src/gingerblue-line.h             |   2 +-
 src/gingerblue-main-loop.c        |   2 +-
 src/gingerblue-main.c             |  43 ++-
 src/gingerblue-main.h             |   2 +-
 src/gingerblue-record.c           |   2 +-
 src/gingerblue-record.h           |   2 +-
 src/gingerblue-song.c             |   2 +-
 src/gingerblue-song.h             |   2 +-
 src/gingerblue-studio-config.c    |   2 +-
 src/gingerblue-studio-player-kb.h |  35 ++
 src/gingerblue-studio-player.c    | 762 ++++++++++++++++++++++++++++++++++++++
 src/gingerblue-studio-player.h    |  71 ++++
 src/gingerblue-studio-stream.c    | 115 ++++++
 src/gingerblue-studio-stream.h    |   6 +
 src/gingerblue.c                  |   2 +-
 src/gingerblue.h                  |   9 +-
 src/meson.build                   |   2 +-
 30 files changed, 1111 insertions(+), 42 deletions(-)

commit b85bcfefb7b9a42b8f001c07f63e95e29a2ed3c8
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 03:15:46 2021 +0200

    Add more dependencies for 0.8.0

 meson.build     | 9 ++++++++-
 src/meson.build | 4 ++--
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 163abc4fef399adc9973a2aa6e4f406e90f35f0c
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 02:58:21 2021 +0200

    Add gstreamer-tag-1.0 for GINGERBLUE_PKG_DEPS in configure.ac

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 709572e09a8369b86cc499d2619144f46544d75e
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 02:00:02 2021 +0200

    Initial work on meta tagging to Ogg Vorbis in Gst recorder pipeline

 configure.ac          |  2 +-
 src/gingerblue-main.c | 32 ++++++++++++++++++++++++++++----
 2 files changed, 29 insertions(+), 5 deletions(-)

commit 5ec65ba9cdbe8c810c7b6aada90d5e20c631e7e6
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 00:38:25 2021 +0200

    Release GNOME Gingerblue 0.7.0 (2021-07-14)

 ChangeLog       | 41 +++++++++++++++++++++++++++++++++++++++++
 meson.build     |  4 ++--
 src/meson.build |  3 ++-
 3 files changed, 45 insertions(+), 3 deletions(-)

commit 5c80563ad678192895c5318a74947e5580fcdf22
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 00:22:15 2021 +0200

    Add gingerblue-studio-config.h

 src/gingerblue-studio-config.h | 6 ++++++
 1 file changed, 6 insertions(+)

commit 04f4a78c28e81c819fc74c7514144bff1e372dcf
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 14 00:18:05 2021 +0200

    GNOME Gingerblue 0.7.0

 ChangeLog                      | 14 ++++++++++++++
 NEWS                           | 25 +++++++++++++++++++++++++
 configure.ac                   |  2 +-
 gingerblue.spec.in             |  4 ++++
 src/Makefile.am                |  2 +-
 src/gingerblue-app.c           |  2 +-
 src/gingerblue-chord.h         |  2 +-
 src/gingerblue-config.c        | 11 +++++++++--
 src/gingerblue-file.c          |  2 +-
 src/gingerblue-file.h          |  2 +-
 src/gingerblue-knob.c          |  2 +-
 src/gingerblue-knob.h          |  2 +-
 src/gingerblue-line.c          |  2 +-
 src/gingerblue-line.h          |  2 +-
 src/gingerblue-main-loop.c     |  9 +++++++--
 src/gingerblue-main.c          | 33 ++++++++++++++++++++++++++++-----
 src/gingerblue-main.h          |  2 +-
 src/gingerblue-record.c        |  2 +-
 src/gingerblue-record.h        |  2 +-
 src/gingerblue-song.c          |  2 +-
 src/gingerblue-song.h          |  2 +-
 src/gingerblue-studio-config.c |  9 ++++++++-
 src/gingerblue.c               |  2 +-
 src/gingerblue.h               |  2 +-
 24 files changed, 112 insertions(+), 27 deletions(-)

commit 4a71f444e2f566683cc280499f15cd135073361f
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 13 22:20:25 2021 +0200

    Release GNOME Gingerblue 0.6.1 (2021-07-13)

 ChangeLog                      |  9 +++++++++
 NEWS                           |  3 +++
 src/gingerblue-app.c           |  2 +-
 src/gingerblue-config.c        | 18 ++++++++++++++++--
 src/gingerblue-main-loop.c     |  2 +-
 src/gingerblue-studio-config.c |  2 +-
 6 files changed, 31 insertions(+), 5 deletions(-)

commit a813d57dd0908b6682f0cb03bb0d9381d87c7550
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 13 21:10:47 2021 +0200

    Update ChangeLog

 ChangeLog | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 89aca034e20e7aab14458874e3a5045f1320f745
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 13 21:01:04 2021 +0200

    GNOME Gingerblue 0.6.1 (2021-07-13)

 ChangeLog                      | 102 +++++++++++++++++++++++++++++++++++++++++
 NEWS                           |   6 +++
 configure.ac                   |   2 +-
 meson.build                    |   5 +-
 src/gingerblue-app.c           |   2 +-
 src/gingerblue-chord.h         |   2 +-
 src/gingerblue-config.c        |   8 ++--
 src/gingerblue-file.c          |   2 +-
 src/gingerblue-file.h          |   2 +-
 src/gingerblue-knob.c          |   2 +-
 src/gingerblue-knob.h          |   2 +-
 src/gingerblue-line.c          |   2 +-
 src/gingerblue-line.h          |   2 +-
 src/gingerblue-main-loop.c     |   2 +-
 src/gingerblue-main.c          |   4 +-
 src/gingerblue-main.h          |   2 +-
 src/gingerblue-record.c        |   2 +-
 src/gingerblue-record.h        |   2 +-
 src/gingerblue-song.c          |   2 +-
 src/gingerblue-song.h          |   2 +-
 src/gingerblue-studio-config.c |   2 +-
 src/gingerblue.c               |   2 +-
 src/gingerblue.h               |   2 +-
 src/meson.build                |   2 +-
 24 files changed, 137 insertions(+), 26 deletions(-)

commit 054c112fa5916d216cd13a2706a9b748337a9f76
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 13 02:56:15 2021 +0200

    Update release version and date in source files.

 src/gingerblue-app.c           | 2 +-
 src/gingerblue-chord.h         | 2 +-
 src/gingerblue-config.c        | 2 +-
 src/gingerblue-file.c          | 2 +-
 src/gingerblue-file.h          | 2 +-
 src/gingerblue-knob.c          | 2 +-
 src/gingerblue-knob.h          | 2 +-
 src/gingerblue-line.c          | 2 +-
 src/gingerblue-line.h          | 2 +-
 src/gingerblue-main-loop.c     | 2 +-
 src/gingerblue-main.c          | 2 +-
 src/gingerblue-main.h          | 2 +-
 src/gingerblue-record.c        | 2 +-
 src/gingerblue-record.h        | 2 +-
 src/gingerblue-song.c          | 2 +-
 src/gingerblue-song.h          | 2 +-
 src/gingerblue-studio-config.c | 2 +-
 src/gingerblue.c               | 2 +-
 src/gingerblue.h               | 2 +-
 19 files changed, 19 insertions(+), 19 deletions(-)

commit 3177812de8028a0213accd9b195ade1f8f410269
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 12 22:40:11 2021 +0200

    Release GNOME Gingerblue 0.6.0 (2021-07-12)

 src/gingerblue-main.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 3ce71c7ccf98930404262f0eac031825641a5721
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 12 22:30:49 2021 +0200

    Remove whitespace from filename

 src/gingerblue-main.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 6a467145d606ebf5004b99eb5148fd1c2c3eb64c
Merge: 868c9f4 0ca3d25
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 12 22:27:30 2021 +0200

    Merge branch 'master' of http://gitlab.gnome.org/ole/gingerblue

commit 868c9f4a3563224deefb65147a396ac9cbd243dc
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 12 22:22:44 2021 +0200

    GNOME Gingerblue 0.6.0

 NEWS                  |  9 +++++++++
 configure.ac          |  7 ++++---
 src/gingerblue-main.c | 34 ++++++++++++++++++++++------------
 3 files changed, 35 insertions(+), 15 deletions(-)

commit 0ca3d250343862c3e128a6ca0e698339abd60b35
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Jul 8 19:34:21 2021 +0200

    Update Source URL.

 gingerblue.spec.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 175b38899a2d72aae925cef28a5cd570fb8ba1ff
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jun 28 17:24:58 2021 +0200

    GNOME Gingerblue 0.5.0 (2021-06-28)

 ChangeLog                      | 11 +++++++++++
 NEWS                           | 29 +++++++++++++++++++++++++++++
 src/gingerblue-app.c           |  2 +-
 src/gingerblue-chord.h         |  2 +-
 src/gingerblue-config.c        |  2 +-
 src/gingerblue-file.c          |  2 +-
 src/gingerblue-file.h          |  2 +-
 src/gingerblue-knob.c          |  2 +-
 src/gingerblue-knob.h          |  2 +-
 src/gingerblue-line.c          |  2 +-
 src/gingerblue-line.h          |  2 +-
 src/gingerblue-main-loop.c     |  2 +-
 src/gingerblue-main.c          |  2 +-
 src/gingerblue-main.h          |  2 +-
 src/gingerblue-record.c        |  2 +-
 src/gingerblue-record.h        |  2 +-
 src/gingerblue-song.c          |  2 +-
 src/gingerblue-song.h          |  2 +-
 src/gingerblue-studio-config.c |  2 +-
 src/gingerblue.c               |  2 +-
 src/gingerblue.h               |  2 +-
 src/gingerblue.xml.in          |  2 +-
 22 files changed, 60 insertions(+), 20 deletions(-)

commit ba3f5caba122d10e39609106bbdd7387ea8ffe97
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jun 28 17:01:16 2021 +0200

    Build on Fedora Core 34

 ChangeLog          | 11 +++++++++++
 Makefile.am        |  2 +-
 gingerblue.spec.in |  3 +++
 3 files changed, 15 insertions(+), 1 deletion(-)

commit d373b298d60e2d977f4f8254baa8c0e517fa022f
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jun 28 16:51:00 2021 +0200

    GNOME Gingerblue version 0.5.0

 ChangeLog             | 32 ++++++++++++++++++++++++
 configure.ac          |  2 +-
 src/gingerblue-main.c | 69 ++++++++++++++++++++++++++++++++-------------------
 3 files changed, 76 insertions(+), 27 deletions(-)

commit 81902942e512509edcadc6fb3a882cd581500e63
Author: Ole Aamot <ole@gnome.org>
Date:   Sat May 29 17:08:42 2021 +0200

    GNOME Gingerblue 0.4.1

 ChangeLog                      | 31 +++++++++++++++++++++++++++++++
 NEWS                           | 29 +++++++++++++++++++++++++++++
 configure.ac                   |  2 +-
 gingerblue.spec.in             | 10 ++++++++--
 src/gingerblue-app.c           |  2 +-
 src/gingerblue-chord.h         |  2 +-
 src/gingerblue-config.c        |  2 +-
 src/gingerblue-file.c          |  2 +-
 src/gingerblue-file.h          |  2 +-
 src/gingerblue-knob.c          |  2 +-
 src/gingerblue-knob.h          |  2 +-
 src/gingerblue-line.c          |  2 +-
 src/gingerblue-line.h          |  2 +-
 src/gingerblue-main-loop.c     |  2 +-
 src/gingerblue-main.c          |  2 +-
 src/gingerblue-main.h          |  2 +-
 src/gingerblue-record.c        |  2 +-
 src/gingerblue-record.h        |  2 +-
 src/gingerblue-song.c          |  2 +-
 src/gingerblue-song.h          |  2 +-
 src/gingerblue-studio-config.c |  2 +-
 src/gingerblue.c               |  2 +-
 src/gingerblue.h               |  2 +-
 src/gingerblue.xml.in          |  2 +-
 24 files changed, 89 insertions(+), 23 deletions(-)

commit d241948cecc681f416b1dd0b4d433b5330c695db
Author: Ole Aamot <ole@gnome.org>
Date:   Sat May 29 15:16:09 2021 +0200

    Release GNOME Gingerblue 0.4.0 (2021-05-29)

 ChangeLog                      | 9 +++++++++
 configure.ac                   | 4 ++--
 gingerblue.spec.in             | 3 +++
 src/gingerblue-app.c           | 4 ++--
 src/gingerblue-chord.h         | 4 ++--
 src/gingerblue-config.c        | 4 ++--
 src/gingerblue-file.c          | 4 ++--
 src/gingerblue-file.h          | 4 ++--
 src/gingerblue-knob.c          | 4 ++--
 src/gingerblue-knob.h          | 4 ++--
 src/gingerblue-line.c          | 4 ++--
 src/gingerblue-line.h          | 4 ++--
 src/gingerblue-main-loop.c     | 4 ++--
 src/gingerblue-main.c          | 4 ++--
 src/gingerblue-main.h          | 4 ++--
 src/gingerblue-record.c        | 4 ++--
 src/gingerblue-record.h        | 4 ++--
 src/gingerblue-song.c          | 4 ++--
 src/gingerblue-song.h          | 4 ++--
 src/gingerblue-studio-config.c | 4 ++--
 src/gingerblue.c               | 4 ++--
 src/gingerblue.h               | 4 ++--
 src/gingerblue.xml.in          | 2 +-
 23 files changed, 53 insertions(+), 41 deletions(-)

commit 76a3b5e85379854fa2c2c81ff3ffdba29d6f42f5
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 17 09:19:30 2020 +0200

    Release GNOME Gingerblue 0.3.0

 ChangeLog | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit e7ba6d577312b1f1d7139509cebc79190b5c6e97
Merge: 9468f60 f5d9a78
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 17 09:06:51 2020 +0200

    Merge branch 'master' of http://gitlab.gnome.org/ole/gingerblue

commit 9468f6009b70e6ce7e3f72149624adc7f4e2ac97
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 17 09:02:01 2020 +0200

    GNOME Gingerblue 0.3.0

 ChangeLog             | 10 ++++++++++
 NEWS                  |  8 ++++++++
 configure.ac          |  2 +-
 src/gingerblue-main.c | 11 +++++++----
 4 files changed, 26 insertions(+), 5 deletions(-)

commit f5d9a7894336c2bf71084de92575b4962cd9a5bb
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Aug 14 15:24:13 2020 +0200

    GNOME Gingerblue 0.2.1

 ChangeLog               |  10 +++
 NEWS                    |  12 ++++
 configure.ac            |   2 +-
 gingerblue.spec.in      |  11 ++-
 po/LINGUAS              |   1 +
 po/POTFILES.in          |  10 +++
 po/nb.po                | 185 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/gingerblue-app.c    |   1 +
 src/gingerblue-config.c |   7 +-
 src/gingerblue-file.c   |  24 +++----
 src/gingerblue-main.c   |  41 ++++++-----
 11 files changed, 264 insertions(+), 40 deletions(-)

commit c180e29bb751e442301489d789e83575672f1ab2
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 28 14:56:52 2020 +0200

    Stable release GNOME Gingerblue 0.2.0

 ChangeLog             | 19 +++++++++++++++++++
 src/gingerblue-main.c |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 0c1523862d8a7125ddd1253e8eee7c47cf112916
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 28 14:51:05 2020 +0200

    GNOME Gingerblue 0.2.0

 NEWS         | 16 ++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 8fe977eebdd6c0f1ab83f5a196ddd2e0e06c75d7
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jul 26 13:37:17 2020 +0200

    GNOME Gingerblue 0.1.9

 ChangeLog | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit c579ec8753e88a4cfac8f50c4860365e53473fbc
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jul 26 13:35:35 2020 +0200

    Fix unique recording file

 ChangeLog               |  38 +++++
 configure.ac            |   2 +-
 src/gingerblue-main.c   | 391 +++++++++++++++++++++++++++++-------------------
 src/gingerblue-record.c |   2 +-
 4 files changed, 275 insertions(+), 158 deletions(-)

commit 62ac0e041f030b0abb9889d0b0cf89c5c4a1bf76
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 24 14:21:36 2020 +0200

    Fix Build Configuration (meson.build)

 meson.build | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0babfc9f4b7e7a2f53ba74825ba713ce8a99a1f5
Merge: 0456035 b1706e7
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 21:54:06 2020 +0200

    Merge branch 'master' of http://gitlab.gnome.org/ole/gingerblue

commit 04560354789cb8d692fe189e4dc990648efce68e
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 21:51:47 2020 +0200

    GNOME Gingerblue 0.1.8

 ChangeLog                      | 12 ++++++++++++
 gingerblue.spec.in             |  3 +++
 src/gingerblue-config.c        | 10 +++++-----
 src/gingerblue-main.c          | 25 ++++++++++++-------------
 src/gingerblue-studio-config.c |  4 +---
 5 files changed, 33 insertions(+), 21 deletions(-)

commit b1706e7f798a1036067259ec2d7adb237ba107c4
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 18:29:27 2020 +0200

    Add co-author Anton Pryima

 AUTHORS | 1 +
 1 file changed, 1 insertion(+)

commit ceca68cd0f88269d1685a79baec322909b6ac9ea
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 15:24:21 2020 +0200

    GNOME Gingerblue 0.1.8

 ChangeLog                      | 11 +++++++++++
 NEWS                           |  9 +++++++++
 configure.ac                   |  2 +-
 data/gingerblue.appdata.xml.in | 10 +++++-----
 4 files changed, 26 insertions(+), 6 deletions(-)

commit ca7691324d464598ac89fb50639041e7ff1cd4fd
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 15:11:01 2020 +0200

    Build on Fedora Core 32

 ChangeLog          | 11 +++++++++++
 configure.ac       |  2 +-
 gingerblue.spec.in |  6 ++++++
 3 files changed, 18 insertions(+), 1 deletion(-)

commit 4535a009e29a59bb76e3d4e7d5d5dddd180d4c4c
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 15:06:53 2020 +0200

    GNOME Gingerblue 0.1.7

 ChangeLog             | 10 ++++++++++
 NEWS                  |  8 ++++++++
 src/gingerblue-main.c | 34 ++++++++++++++++++++++++++--------
 3 files changed, 44 insertions(+), 8 deletions(-)

commit e5d5766bd2b22c946bc086d1bc9d774672ce40a6
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 13:41:47 2020 +0200

    Bump release version number

 ChangeLog    | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit a365fd5afe7d45a2811d4dacb747d4153c1a09f1
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 13:40:24 2020 +0200

    GNOME Gingerblue 0.1.6

 ChangeLog               | 25 +++++++++++++++++++++++++
 NEWS                    |  9 +++++++++
 src/gingerblue-main.c   | 27 ++++++++++++++++++++++++++-
 src/gingerblue-record.c | 41 -----------------------------------------
 4 files changed, 60 insertions(+), 42 deletions(-)

commit 306c47a75c8f7dcf18c2e7869479b75818198bdd
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jul 14 12:31:46 2020 +0200

    GNOME Gingerblue 0.1.5

 NEWS                    | 9 +++++++++
 configure.ac            | 2 +-
 gingerblue.spec.in      | 6 ++++++
 src/gingerblue-main.c   | 2 +-
 src/gingerblue-record.c | 7 +++++--
 5 files changed, 22 insertions(+), 4 deletions(-)

commit 6f3023f0fc8636cdfe141248528ca718bb0b85ea
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jul 5 11:51:04 2020 +0200

    GNOME Gingerblue 0.1.4

 ChangeLog                      | 36 ++++++++++++++++++++++++++++++++++++
 NEWS                           | 19 +++++++++++++++++++
 configure.ac                   |  2 +-
 data/gingerblue.appdata.xml.in |  4 +++-
 4 files changed, 59 insertions(+), 2 deletions(-)

commit 4930c0e381f3f1599b92edf109977752d4229b06
Author: Ole Aamot <oleaamot@localhost.localdomain>
Date:   Sun Jul 5 11:35:44 2020 +0200

    Build on Fedor Core 32

 gingerblue.spec.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit ed67a5ef9f14bd6dfdf5e5efd5194582064b2dde
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Jun 20 21:17:57 2020 +0200

    Prepare 0.1.3 release

 ChangeLog                      | 118 +++++++++++++++++++++++++++++++++++++++++
 configure.ac                   |   2 +-
 src/Makefile.am                |   4 +-
 src/gingerblue-app.c           |  12 +++--
 src/gingerblue-app.h           |   5 ++
 src/gingerblue-chord.h         |   2 +-
 src/gingerblue-config.c        |  21 +++++---
 src/gingerblue-config.h        |   6 +++
 src/gingerblue-file.h          |   2 +-
 src/gingerblue-knob.h          |   2 +-
 src/gingerblue-line.h          |   2 +-
 src/gingerblue-main-loop.c     |   6 ++-
 src/gingerblue-main-loop.h     |   8 +++
 src/gingerblue-main.c          |   7 ++-
 src/gingerblue-main.h          |   2 +-
 src/gingerblue-record.h        |   2 +-
 src/gingerblue-song.h          |   2 +-
 src/gingerblue-studio-config.c |  17 +++---
 src/gingerblue.h               |   3 +-
 19 files changed, 187 insertions(+), 36 deletions(-)

commit 5b4a366755c38b10c0b157e497668689f7be4b75
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jun 17 11:50:41 2020 +0200

    Add gingerblue-studio-config.c

 src/gingerblue-studio-config.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 021d0c1b268ef9b327afe874016157c90e7ca4a1
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jun 16 09:33:38 2020 +0200

    Add gingerblue-main-loop.c

 src/gingerblue-main-loop.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit bc5cd184630d70075c4efde5229187eb6bc369a0
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jun 16 09:23:10 2020 +0200

    Add gingerblue-app.c
    Add gingerblue-config.c

 src/gingerblue-app.c    | 24 ++++++++++++++++++++++++
 src/gingerblue-config.c | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

commit 69d837c8ed32b7ddbe356dbeca7d97f401236a41
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Sep 23 16:40:02 2019 +0200

    Add gingerblue-record.c source in src/meson.build

 src/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d98b96e54fa1cc82d4d3fa428aaed4653c57195d
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jan 29 04:49:32 2019 +0100

    Prepare 0.1.2

 NEWS                  | 1 +
 TODO                  | 4 ++--
 gingerblue.spec.in    | 5 +++--
 src/gingerblue.xml.in | 5 +++--
 4 files changed, 9 insertions(+), 6 deletions(-)

commit 3754de784a02a2c47a21fd7949e54d66f2705bde
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jan 29 04:41:29 2019 +0100

    Rename application icons

 data/icons/1024x1024/Makefile.am                            |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/16x16/Makefile.am                                |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/22x22/Makefile.am                                |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/24x24/Makefile.am                                |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/256x256/Makefile.am                              |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/32x32/Makefile.am                                |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/48x48/Makefile.am                                |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 data/icons/512x512/Makefile.am                              |   2 +-
 .../apps/{gingerblue-gnome-gtk-gnu.png => gingerblue.png}   | Bin
 16 files changed, 8 insertions(+), 8 deletions(-)

commit 0cdbfc75385a2b29f8de0042e274fb147b8fa45d
Merge: a1160fa 2ad0358
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jan 29 04:29:01 2019 +0100

    Merge branch 'master' of https://gitlab.gnome.org/ole/gingerblue

commit a1160fae87de747be66ea88b1c478a695aeb5991
Author: Ole Aamot <ole@gnome.org>
Date:   Tue Jan 29 04:28:17 2019 +0100

    Add icons

 configure.ac                                           |   9 +++++++++
 data/Makefile.am                                       |   2 ++
 data/icons/1024x1024/Makefile.am                       |   7 +++++++
 data/icons/1024x1024/apps/gingerblue-gnome-gtk-gnu.png | Bin 0 -> 134310 bytes
 data/icons/16x16/Makefile.am                           |   7 +++++++
 data/icons/16x16/apps/gingerblue-gnome-gtk-gnu.png     | Bin 0 -> 898 bytes
 data/icons/22x22/Makefile.am                           |   7 +++++++
 data/icons/22x22/apps/gingerblue-gnome-gtk-gnu.png     | Bin 0 -> 1222 bytes
 data/icons/24x24/Makefile.am                           |   7 +++++++
 data/icons/24x24/apps/gingerblue-gnome-gtk-gnu.png     | Bin 0 -> 1350 bytes
 data/icons/256x256/Makefile.am                         |   7 +++++++
 data/icons/256x256/apps/gingerblue-gnome-gtk-gnu.png   | Bin 0 -> 17683 bytes
 data/icons/32x32/Makefile.am                           |   7 +++++++
 data/icons/32x32/apps/gingerblue-gnome-gtk-gnu.png     | Bin 0 -> 1519 bytes
 data/icons/48x48/Makefile.am                           |   7 +++++++
 data/icons/48x48/apps/gingerblue-gnome-gtk-gnu.png     | Bin 0 -> 2486 bytes
 data/icons/512x512/Makefile.am                         |   7 +++++++
 data/icons/512x512/apps/gingerblue-gnome-gtk-gnu.png   | Bin 0 -> 39187 bytes
 data/icons/Makefile.am                                 |  16 ++++++++++++++++
 19 files changed, 83 insertions(+)

commit 2ad03580b2a3c622e064b927f55d62c82b28ead4
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jan 27 16:01:22 2019 +0100

    Update screenshot for 0.1

 ChangeLog           |  31 +++++++++++++++++++++++++++++++
 data/screenshot.png | Bin 7792 -> 69604 bytes
 2 files changed, 31 insertions(+)

commit e3100c31ec3fed8ca5ad7e0b1d2e4ebc21c76642
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jan 27 15:55:10 2019 +0100

    Add data/

 Makefile.am  | 2 +-
 configure.ac | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 83e71b86f391fe8ee3ff103f7547d07afaa1ce88
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jan 27 15:47:34 2019 +0100

    Fix metainfo path

 gingerblue.spec.in | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 45901ebb003ce62cd913cf4d00baa876bbb49258
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jan 27 15:43:29 2019 +0100

    Prepare 0.1.2 release

 ChangeLog        | 10 ++++++++++
 NEWS             |  9 +++++++++
 configure.ac     |  5 ++---
 data/Makefile.am |  2 +-
 4 files changed, 22 insertions(+), 4 deletions(-)

commit 54d4af23973027d5692f5f8fbc61343daf36ded8
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Dec 31 23:37:37 2018 +0100

    Add headers

 ChangeLog       | 11 +++++++++++
 src/Makefile.am |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 7c721f67265ed43ee787035a30c14451cf6b8929
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Dec 31 23:35:24 2018 +0100

    Add knob and line headers

 ChangeLog             | 25 +++++++++++++++++++++++++
 src/gingerblue-knob.h | 11 +++++++++++
 src/gingerblue-line.h | 11 +++++++++++
 3 files changed, 47 insertions(+)

commit bc58253c678831e642ee42d2b7c8b310d4a87d0e
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Dec 31 23:11:38 2018 +0100

    GNOME Gingerblue 0.1.1 (2018-12-31)

 ChangeLog               | 19 +++++++++++++++++++
 configure.ac            |  9 ++++++---
 gingerblue.spec.in      |  7 +++++--
 po/gingerblue.pot       | 43 -------------------------------------------
 src/gingerblue-chord.h  |  2 +-
 src/gingerblue-file.c   |  2 +-
 src/gingerblue-file.h   |  2 +-
 src/gingerblue-knob.c   |  2 +-
 src/gingerblue-line.c   |  2 +-
 src/gingerblue-main.c   |  2 +-
 src/gingerblue-main.h   |  2 +-
 src/gingerblue-record.c |  2 +-
 src/gingerblue-record.h |  2 +-
 src/gingerblue-song.c   |  2 +-
 src/gingerblue-song.h   |  2 +-
 src/gingerblue.c        |  2 +-
 src/gingerblue.h        |  2 +-
 17 files changed, 43 insertions(+), 61 deletions(-)

commit 53a30d9d367b40c0ae99fc94f012e778fed7ef26
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Dec 30 23:50:57 2018 +0100

    Update "Mic"

 src/gingerblue-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ce29f8b247df794b04c112a824d2a7e6a6aaccf
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Dec 26 21:08:53 2018 +0100

    Fix file name bug

 ChangeLog             | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gingerblue-main.c |  2 +-
 2 files changed, 62 insertions(+), 1 deletion(-)

commit 7608bd6155ff671ec4f58911ee8901d03024aba3
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Dec 26 20:48:54 2018 +0100

    Fix label bug

 src/gingerblue-main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6db55f8f4001fab2f3c502ecc8d9dd87a5e75451
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Dec 26 20:15:20 2018 +0100

    Prepare 0.1.1 release, but waiting on confirmation by Release Team

 src/Makefile.am         |   4 +-
 src/gingerblue-chord.h  |   2 +-
 src/gingerblue-file.c   |   2 +-
 src/gingerblue-file.h   |   2 +-
 src/gingerblue-knob.c   |   2 +-
 src/gingerblue-line.c   |   2 +-
 src/gingerblue-main.c   |  20 +++--
 src/gingerblue-main.h   |   2 +-
 src/gingerblue-record.c | 205 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/gingerblue-record.h |  24 ++++++
 src/gingerblue-song.c   |   2 +-
 src/gingerblue-song.h   |   2 +-
 src/gingerblue.c        |   2 +-
 src/gingerblue.h        |   2 +-
 14 files changed, 254 insertions(+), 19 deletions(-)

commit ecf4c7f7d993b9bd018053d7d10508b30bd06ca5
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Dec 24 13:25:30 2018 +0100

    Update objects

 src/gingerblue-main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 66dc891742aa5e88334ece0138d8548b0a8c080d
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Dec 24 13:23:40 2018 +0100

    Prepare release

 meson.build           | 7 +++----
 src/gingerblue-main.c | 2 +-
 src/meson.build       | 4 ++--
 3 files changed, 6 insertions(+), 7 deletions(-)

commit da6f98de163db6ed304cc7c06587677f7d4ba0ab
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Dec 23 01:35:22 2018 +0100

    Update ChangeLog

 ChangeLog       | 98 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am |  2 +-
 2 files changed, 99 insertions(+), 1 deletion(-)

commit 1b60addd71ddb47b25f4db3f4ecb42c857504865
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Dec 23 01:33:30 2018 +0100

    GNOME Gingerblue 0.1.1 (2018-12-23)

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 50c3eb0323d050cd1d61b6bf68c8a2fda178fec7
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Dec 23 01:28:45 2018 +0100

    Write Musician, Song, Instrument, Line Input and Label to XML file

 configure.ac           |   2 +-
 src/gingerblue-chord.h |   4 +-
 src/gingerblue-file.c  |   2 +-
 src/gingerblue-file.h  |   2 +-
 src/gingerblue-knob.c  |   2 +-
 src/gingerblue-line.c  |   2 +-
 src/gingerblue-main.c  | 230 +++++++++++++++++++++++++++++++++++++------------
 src/gingerblue-main.h  |   2 +-
 src/gingerblue-song.c  |   2 +-
 src/gingerblue-song.h  |   2 +-
 src/gingerblue.c       |   2 +-
 src/gingerblue.h       |   2 +-
 12 files changed, 185 insertions(+), 69 deletions(-)

commit 0f3e075eb170c6932b44707150930e34647846a9
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 23:50:49 2018 +0100

    Revert next page strategy

 src/gingerblue-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5b5ec7a9b798ac8d8ed37f0b2decdc94b23e9578
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 23:44:40 2018 +0100

    Add header

 src/gingerblue-main.c |  2 +-
 src/gingerblue-main.h | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit a6516c61df2c068edb3e02515813f96573ed8c0c
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 23:41:24 2018 +0100

    Add Automake

 Makefile.am | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 79de272f698b2b60ac1d5f8ac958f988818545e1
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 23:05:36 2018 +0100

    Adding GtkAssistant setup for Musician, Song, Instrument and Line

 Makefile.am            | 15 --------
 src/gingerblue-chord.h |  2 +-
 src/gingerblue-file.c  |  2 +-
 src/gingerblue-file.h  |  2 +-
 src/gingerblue-knob.c  |  2 +-
 src/gingerblue-line.c  |  2 +-
 src/gingerblue-main.c  | 98 +++++++++++++++++++++++++++++++++++---------------
 src/gingerblue-song.c  |  2 +-
 src/gingerblue-song.h  |  2 +-
 src/gingerblue.c       |  2 +-
 src/gingerblue.h       |  2 +-
 src/gingerblue.xml.in  |  7 ++--
 12 files changed, 82 insertions(+), 56 deletions(-)

commit 763de7fb063f49943369875fc0de5b43ea8f8d35
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 21:16:29 2018 +0100

    Add i18n stuff

 po/Makefile.in.in |  1 +
 po/gingerblue.pot | 43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

commit 8ff3e4fcbe30a9708f98777c5c4bf0b8b46943c7
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Dec 22 20:42:01 2018 +0100

    Build with GTK+ 3 on GNOME 3 for now

 ChangeLog    | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 NEWS         |  8 ++++++++
 configure.ac |  4 ++--
 3 files changed, 71 insertions(+), 2 deletions(-)

commit 11bc5fcfcb10b7c94788a138d5f0b905c1531569
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 13 11:19:03 2018 +0200

    Extra bit

 src/gingerblue-song.c | 2 +-
 src/gingerblue-song.h | 2 +-
 src/gingerblue.xml.in | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 7dd6094aa9e61d243cde97427209222850f97b6e
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Aug 13 00:00:13 2018 +0200

    Add GNOME Gingerblue song parsing

 src/gingerblue-song.c | 27 +++++++++++++++++++++++++++
 src/gingerblue-song.h | 15 +++++++++++++++
 2 files changed, 42 insertions(+)

commit 51f8fc9c82962a3f72a812f047805dcd902dd66a
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Aug 12 23:55:57 2018 +0200

    Add gingerblue-main.c

 src/gingerblue-main.c | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 82 insertions(+)

commit 9894f4faa7fa0bf091353da1eddd0626a887274f
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Aug 12 23:53:07 2018 +0200

    GNOME Gingerblue 0.1.0 (2018-08-12)

 configure.ac           | 2 +-
 gingerblue.spec.in     | 6 +++---
 src/gingerblue-chord.h | 2 +-
 src/gingerblue-file.c  | 2 +-
 src/gingerblue-file.h  | 2 +-
 src/gingerblue-knob.c  | 2 +-
 src/gingerblue-line.c  | 2 +-
 src/gingerblue.c       | 2 +-
 src/gingerblue.h       | 2 +-
 9 files changed, 11 insertions(+), 11 deletions(-)

commit 6ab969319d07e8d56fa324b9dc15b601efd6e573
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Aug 12 22:46:08 2018 +0200

    GNOME Gingerblue 0.0.8 (2018-08-12)

 ChangeLog             | 19 +++++++++++++++++++
 NEWS                  | 20 ++++++++++++++++++++
 configure.ac          |  2 +-
 src/Makefile.am       |  4 ++--
 src/gingerblue.c      |  2 +-
 src/gingerblue.xml.in |  2 +-
 6 files changed, 44 insertions(+), 5 deletions(-)

commit f8ce5957e1af3cce7f4c8b996e50800a0ce49b50
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Jul 28 16:02:46 2018 +0200

    GNOME Gingerblue 0.0.7 (2018-07-28)

 ChangeLog                         |  26 +++++++
 src/Makefile.am                   |   2 +-
 src/file.c                        | 141 --------------------------------------
 src/file.h                        |  17 -----
 src/gingerblue-chord.h            |   2 +-
 src/gingerblue-file.c             |   2 +-
 src/gingerblue-file.h             |   2 +-
 src/{knob.c => gingerblue-knob.c} |   2 +-
 src/{line.c => gingerblue-line.c} |   2 +-
 src/gingerblue.c                  |   2 +-
 src/gingerblue.h                  |   2 +-
 11 files changed, 34 insertions(+), 166 deletions(-)

commit f7913eddada25be8447d88640a43c0070f3868aa
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Jul 28 15:42:59 2018 +0200

    Add proper guitar sample names

 src/gingerblue-chord.h | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit f18c4bdbd847f50e0b4d2766fccd42df62782fc6
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Jul 28 15:40:16 2018 +0200

    Prepare release

 ChangeLog             |  14 +++++
 NEWS                  |   8 +++
 configure.ac          |   2 +-
 po/POTFILES.in        |   2 +-
 src/Makefile.am       |   4 +-
 src/gingerblue-file.c | 141 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gingerblue-file.h |  17 ++++++
 src/gingerblue.c      |   2 +-
 src/main.c            |  83 -----------------------------
 9 files changed, 185 insertions(+), 88 deletions(-)

commit 9137ab09832a93c53f0be13b41c90b4769957022
Author: Ole Aamot <ole@gnome.org>
Date:   Sat Jul 28 14:58:21 2018 +0200

    GNOME Gingerblue 0.0.6 (2018-07-28)

 ChangeLog              | 30 ++++++++++++++++++++++++++++++
 configure.ac           |  2 +-
 meson.build            |  4 ++--
 src/Makefile.am        |  2 +-
 src/gingerblue-chord.h | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/main.c             |  3 +++
 6 files changed, 87 insertions(+), 4 deletions(-)

commit f91b79a128de0294915653d182730460ea5fd0eb
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 23 16:29:44 2018 +0200

    Add RPM spec for GNOME Gingerblue

 gingerblue.spec.in | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit a64c9a291cd7adf9ee245af40ac53484cb174511
Author: Ole Aamot <ole@gnome.org>
Date:   Mon Jul 23 11:29:18 2018 +0200

    GNOME Gingerblue 0.0.5 (2018-07-23)

 ChangeLog                    | 18 +++++++++++
 NEWS                         |  8 +++++
 configure.ac                 |  6 ++--
 meson.build                  | 22 +++++++++++++
 src/file.c                   | 76 ++++++++++++++++++++++++++++++++++++++------
 src/gingerblue.c             | 40 +++++++++++++++++++++--
 src/gingerblue.gresource.xml |  5 +++
 src/gingerblue.h             | 10 ++++--
 src/gingerblue.xml.in        |  5 ++-
 src/knob.c                   |  2 +-
 src/line.c                   |  2 +-
 src/main.c                   | 52 ++++++++++++++++++++++--------
 src/meson.build              | 23 ++++++++++++++
 13 files changed, 236 insertions(+), 33 deletions(-)

commit 783ad4f242ba4af9bb373e17ec30df8a5858c024
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jul 15 11:48:15 2018 +0200

    GNOME Gingerblue 0.0.4 (2018-07-14)

 ChangeLog             | 13 +++++++++++
 NEWS                  |  8 +++++++
 src/file.c            |  2 +-
 src/file.h            |  6 ++---
 src/gingerblue.c      | 11 +++++++--
 src/gingerblue.h      | 26 +++++++++++++--------
 src/gingerblue.xml.in |  2 +-
 src/knob.c            |  8 +++----
 src/line.c            | 13 +++++------
 src/main.c            | 64 ++++++++++++++++++++++++++++-----------------------
 10 files changed, 97 insertions(+), 56 deletions(-)

commit b8669d74adb78836a7e3cff9bfc0dd8708c688bf
Author: Ole Aamot <ole@gnome.org>
Date:   Sun Jul 15 11:10:50 2018 +0200

    Add file functions

 ChangeLog       | 14 ++++++++++
 configure.ac    |  2 +-
 src/Makefile.am |  4 +--
 src/file.c      | 83 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/file.h      | 17 ++++++++++++
 5 files changed, 117 insertions(+), 3 deletions(-)

commit 3dc534fdcfb19c7b2b08357c604d890e89b60d63
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 13 19:20:07 2018 +0200

    GNOME Gingerblue 0.0.3 (2018-07-13)

 ChangeLog                      | 54 ++++++++++++++++++++++++++++++++++++++++++
 NEWS                           |  8 +++++++
 data/Makefile.am               |  2 ++
 data/gingerblue.appdata.xml.in |  6 +----
 po/POTFILES.in                 |  2 ++
 po/POTFILES.skip               |  3 +++
 6 files changed, 70 insertions(+), 5 deletions(-)

commit 71276d34227a02d7a443a6561207ed0e619c1a71
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 13 18:36:52 2018 +0200

    Add GNOME appdata and desktop configuration files

 configure.ac                   |  2 ++
 data/Makefile.am               | 28 ++++++++++++++++++++++++++++
 data/gingerblue.appdata.xml.in | 17 +++++++++++++++++
 data/gingerblue.desktop.in.in  | 18 ++++++++++++++++++
 4 files changed, 65 insertions(+)

commit 713f72b3645f9f8090de48a49839fa00f5a05b55
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 13 18:28:11 2018 +0200

    Add TODO and screenshot

 TODO                |   8 ++++++++
 configure.ac        |   3 ++-
 data/screenshot.png | Bin 0 -> 7792 bytes
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 5666a086bf9d14f5fb320d4cd57dfa15ea6b0500
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 13 13:19:21 2018 +0200

    Fix case

 gingerblue.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9561e53273637d4a8fd31ccc8988eead3c1e08b
Author: Ole Aamot <ole@gnome.org>
Date:   Fri Jul 13 13:14:02 2018 +0200

    Add necessary files

 COPYING         | 674 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am     |   2 +-
 gingerblue.doap |  22 ++
 3 files changed, 697 insertions(+), 1 deletion(-)

commit cb8d2ccaf1158135fffaeaad4ff89c4bcb017f32
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Jul 12 20:59:31 2018 +0200

    Add Volume Knob

 ChangeLog  | 18 ++++++++++++++++++
 NEWS       |  8 ++++++++
 src/main.c |  2 +-
 3 files changed, 27 insertions(+), 1 deletion(-)

commit 7bbe6b99d1935d81ce8164478d5e8813761e6462
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Jul 12 20:54:00 2018 +0200

    GNOME Gingerblue 0.0.2 (2018-07-12)

 ChangeLog             | 14 ++++++++++++++
 Makefile.am           |  2 ++
 configure.ac          |  3 ++-
 po/gingerblue.pot     | 22 ---------------------
 src/Makefile.am       | 10 +++++++++-
 src/gingerblue.c      | 19 ++++++++++++++++++
 src/gingerblue.h      | 27 ++++++++++++++++++++++++++
 src/gingerblue.xml.in |  4 ++++
 src/knob.c            | 23 +++++++++++-----------
 src/main.c            | 53 ++++++++++++++++++++++++++++++++++++---------------
 10 files changed, 126 insertions(+), 51 deletions(-)

commit 871bf328c4079825027cfaeb87e1ebc4045425d9
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Jul 12 10:20:03 2018 +0200

    Add initial i18n

 ChangeLog         | 12 ++++++++++++
 Makefile.am       |  2 +-
 configure.ac      | 13 +++++++++++++
 po/POTFILES.in    |  4 ++++
 po/POTFILES.skip  |  2 ++
 po/gingerblue.pot | 22 ++++++++++++++++++++++
 6 files changed, 54 insertions(+), 1 deletion(-)

commit e89bb89b39b9052b4c54c0be66564e9d8765a62a
Author: Ole Aamot <ole@gnome.org>
Date:   Thu Jul 12 09:30:28 2018 +0200

    Add files

 ChangeLog   | 134 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am |  10 +++++
 NEWS        |   7 ++++
 src/knob.c  |   2 +-
 4 files changed, 152 insertions(+), 1 deletion(-)

commit c4f55bb6a11a13017a14fbf650f703d83acb3604
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 11 22:32:06 2018 +0200

    Fix typo

 src/line.c | 4 ++--
 src/main.c | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 95a54a3f9b7754cb7a700941b7f729de889d7714
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 11 22:09:28 2018 +0200

    Add space

 src/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2108e14ab203abf49dfda8f7998073ad8f56e9e
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 11 21:55:17 2018 +0200

    Return main function

 src/main.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ff668d7002f0667e3bfbaa02fc638c720d420eff
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 21:32:51 2018 +0200

    Add Low-Pass and High-Pass Filter booleans

 src/Makefile.am | 2 +-
 src/knob.c      | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit fda90141e2b95b4fdcaf70ef5a0c09a6ac7267b5
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 21:22:23 2018 +0200

    Add knob and line

 src/knob.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit b5d508b0d100241ee0cf39803faaa038c1c0fc44
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 21:12:24 2018 +0200

    Add new line

 src/line.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 87789312ac70499fe19cf29c7148652ea9df49c0
Merge: 8ee5e32 6d4c452
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 20:36:02 2018 +0200

    Merge branch 'master' of gitlab.gnome.org:ole/gingerblue

commit 8ee5e328dd4c4f10f9116b140c631856bbfc8695
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 17:36:20 2018 +0200

    Add configure.ac

 configure.ac | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 6d4c4523b2061cc5781524a62552c42fbdbf9234
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 17:36:20 2018 +0200

    Add configure.acs

 configure.ac | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit ccb7777a3319ae7d51de095bc7b4ff9a9ca77281
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 17:16:56 2018 +0200

    Add AUTHORS

 AUTHORS | 1 +
 1 file changed, 1 insertion(+)

commit c46465f2c54e3aad7c1dc340453ad4b018957c49
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 17:16:03 2018 +0200

    Add new Makefile.am

 Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit e8f83f0d58e52d02077d5f31c4791cc3e4f6938f
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 17:12:56 2018 +0200

    Add new Makefile

 src/Makefile.am | 7 +++++++
 1 file changed, 7 insertions(+)

commit 4329ea1cb6dba4b23808bf279e43a04d494876dd
Author: Ole Aamot <oka@oka.no>
Date:   Wed Jul 4 14:56:35 2018 +0000

    Add new file

 src/main.c | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 0c27344ea4d664f4ea07fe804e2668779ea159ec
Author: Ole Aamot <oka@oka.no>
Date:   Wed Jul 4 14:41:12 2018 +0000

    Add src directory

 src/.gitkeep | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c85819820b1f7bb90d59f63f8d44b8b7ff9954af
Author: Ole Aamot <ole@gnome.org>
Date:   Wed Jul 4 16:39:12 2018 +0200

    Add README

 README | 1 +
 1 file changed, 1 insertion(+)
